csr.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation_a(T, M, A) template void csr_rep<T,M>::build_from_diag (const disarray_rep<T,M,A>&);
#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T , class M >
csr< T, M > | diag (const vec< T, M > &d)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation_a

#define _RHEOLEF_instanciation_a | ( |  | T,
|  |  | M,
|  |  | A
| ) |  | template void csr_rep<T,M>::build_from_diag (const disarray_rep<T,M,A>&);

Definition at line 66 of file csr.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template csr<T,M> diag (const vec<T,M>&); \
_RHEOLEF_instanciation_a(T,M,std::allocator<T>)

Definition at line 69 of file csr.cc.

rheolef::diag
csr< T, M > diag(const vec< T, M > &d)
Definition: csr.cc:56
M
Expr1::memory_type M
Definition: vec_expr_v2.h:385
T
Expr1::float_type T
Definition: field_expr.h:218